


LOCAL_SRC=local/src/
LOCAL_H=local/header/




F01=MC_sphere_geometry
F02=MC_sphere_physic
F03=MC_particle_engine
F04=MC_grid_3d
F05=MC_grid_index_spatial_hashing
F06=MC_grid_3d_scalar
F07=MC_grid_3d_scalar_slicer
F08=MC_potential_sphere
F09=MC_grid_3d_scalar_marching_cube
F10=MC_v3d
F11=MC_int_vector
F12=MC_int_vector_vector
F13=MC_exception
F14=MC_curve
F15=MC_segment
F16=MC_v3d_vector
F17=MC_string_helper
F18=MC_potential_implicit
F19=MC_double_vector
F20=MC_mesh_index_vector
F21=MC_int_pair
F22=MC_connectivity_index
F23=MC_mesh_index_vector_draw
F24=MC_quaternion
F25=MC_trackball
F26=MC_matrix
F27=MC_v4d
F28=MC_navigator_tool
F29=MC_opengl_drawer
F30=MC_mesh_fast_draw
F31=MC_io_obj
F32=MC_int_pair_unique
F33=MC_double_vector_vector
F34=MC_polygon
F35=MC_triangle
F36=MC_io_off
F37=MC_helper_stl


MESH_CONV_SRC=src_lib/src/
MESH_CONV_H=src_lib/header/

HEADERS = $${LOCAL_H}$${F01}.hpp \
          $${LOCAL_H}$${F02}.hpp \
          $${LOCAL_H}$${F03}.hpp \
          $${LOCAL_H}$${F04}.hpp \
          $${LOCAL_H}$${F05}.hpp \
          $${LOCAL_H}$${F06}.hpp \
          $${LOCAL_H}$${F07}.hpp \
          $${LOCAL_H}$${F08}.hpp \
          $${LOCAL_H}$${F09}.hpp \
          $${MESH_CONV_H}$${F10}.hpp \
          $${MESH_CONV_H}$${F11}.hpp \
          $${MESH_CONV_H}$${F12}.hpp \
          $${MESH_CONV_H}$${F13}.hpp \
          $${MESH_CONV_H}$${F14}.hpp \
          $${MESH_CONV_H}$${F15}.hpp \
          $${MESH_CONV_H}$${F16}.hpp \
          $${MESH_CONV_H}$${F17}.hpp \
          $${MESH_CONV_H}$${F18}.hpp \
          $${MESH_CONV_H}$${F19}.hpp \
          $${MESH_CONV_H}$${F20}.hpp \
          $${MESH_CONV_H}$${F21}.hpp \
          $${MESH_CONV_H}$${F22}.hpp \
          $${MESH_CONV_H}$${F23}.hpp \
          $${MESH_CONV_H}$${F24}.hpp \
          $${MESH_CONV_H}$${F25}.hpp \
          $${MESH_CONV_H}$${F26}.hpp \
          $${MESH_CONV_H}$${F27}.hpp \
          $${MESH_CONV_H}$${F28}.hpp \
          $${MESH_CONV_H}$${F29}.hpp \
          $${MESH_CONV_H}$${F30}.hpp \
          $${MESH_CONV_H}$${F31}.hpp \
          $${MESH_CONV_H}$${F32}.hpp \
          $${MESH_CONV_H}$${F33}.hpp \
          $${MESH_CONV_H}$${F34}.hpp \
          $${MESH_CONV_H}$${F35}.hpp \
          $${MESH_CONV_H}$${F36}.hpp \
          $${MESH_CONV_H}$${F37}.hpp \


SOURCES = $${LOCAL_SRC}main.cpp \
          $${LOCAL_SRC}$${F01}.cpp \
          $${LOCAL_SRC}$${F02}.cpp \
          $${LOCAL_SRC}$${F03}.cpp \
          $${LOCAL_SRC}$${F04}.cpp \
          $${LOCAL_SRC}$${F05}.cpp \
          $${LOCAL_SRC}$${F06}.cpp \
          $${LOCAL_SRC}$${F07}.cpp \
          $${LOCAL_SRC}$${F08}.cpp \
          $${LOCAL_SRC}$${F09}.cpp \
          $${MESH_CONV_SRC}$${F10}.cpp \
          $${MESH_CONV_SRC}$${F11}.cpp \
          $${MESH_CONV_SRC}$${F12}.cpp \
          $${MESH_CONV_SRC}$${F13}.cpp \
          $${MESH_CONV_SRC}$${F14}.cpp \
          $${MESH_CONV_SRC}$${F15}.cpp \
          $${MESH_CONV_SRC}$${F16}.cpp \
          $${MESH_CONV_SRC}$${F17}.cpp \
          $${MESH_CONV_SRC}$${F18}.cpp \
          $${MESH_CONV_SRC}$${F19}.cpp \
          $${MESH_CONV_SRC}$${F20}.cpp \
          $${MESH_CONV_SRC}$${F21}.cpp \
          $${MESH_CONV_SRC}$${F22}.cpp \
          $${MESH_CONV_SRC}$${F23}.cpp \
          $${MESH_CONV_SRC}$${F24}.cpp \
          $${MESH_CONV_SRC}$${F25}.cpp \
          $${MESH_CONV_SRC}$${F26}.cpp \
          $${MESH_CONV_SRC}$${F27}.cpp \
          $${MESH_CONV_SRC}$${F28}.cpp \
          $${MESH_CONV_SRC}$${F29}.cpp \
          $${MESH_CONV_SRC}$${F30}.cpp \
          $${MESH_CONV_SRC}$${F31}.cpp \
          $${MESH_CONV_SRC}$${F32}.cpp \
          $${MESH_CONV_SRC}$${F33}.cpp \
          $${MESH_CONV_SRC}$${F34}.cpp \
          $${MESH_CONV_SRC}$${F35}.cpp \
          $${MESH_CONV_SRC}$${F36}.cpp \
          $${MESH_CONV_SRC}$${F37}.cpp \





INCLUDEPATH = $${LOCAL_H} $${MESH_CONV_H} $${MESH_CONV_SRC}


TARGET = bin/tp
QT += opengl
CONFIG +=   warn_on release
QMAKE_CXXFLAGS +=  -Wno-deprecated-declarations -Wno-deprecated #-frounding-math
QMAKE_CXX = g++


LIBS += -lglut


unix{
OBJECTS_DIR = junk/
MOC_DIR     = junk/
}

