
#ifndef _MC_EXCEPTION_HPP_
#define _MC_EXCEPTION_HPP_

#include <iostream>

namespace mesh_conv
{
  namespace exception
  {
    /** \brief base class for dealing with exceptions */
    class MC_exception
    {
    public:

        MC_exception(const std::string& _message):message(_message){}
        const std::string& info() const{return message;}

    private:
        std::string message;
    };


  }
}

#endif
